/*https://stackoverflow.com/questions/49589861/is-there-a-non-hacky-way-to-prevent-pinch-zoom-on-ios-11-3-safari
https://github.com/msand/InfiniDraw/commit/b96aac5f8313f56da7be6f9e9f24648ab02fc444?diff=unified*/

  html, body {
    width: 100%;
    height: 100%;
    position: fixed;
    overflow: hidden;
    /*overscroll-behavior: none;*/
    -webkit-overflow-scrolling: touch;
     -ms-text-size-adjust:none;
    -webkit-text-size-adjust: none;
    touch-action: none;
  }


body {
	margin: 0;
	background-color: #f0f0f0;
	color: #666;
	font-family: Roboto, -apple-system, BlinkMacSystemFont, "Helvetica Neue", Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol";
	font-size: 13px;
	line-height: 24px;
	overflow: hidden;

	background-size: 177vh 100vh;
	background-position: center;
	background-repeat: no-repeat;
}
label, a, form {
	font-family: Roboto, -apple-system, BlinkMacSystemFont, "Helvetica Neue", Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol";
}
a {
	color: #08f;
	text-decoration: none;
}

a:hover {
	text-decoration: underline;
}

button {
	cursor: pointer;
	/*text-transform: uppercase;*/
}

canvas {
	/*position: fixed;
	top:0;*/
	display: block;

}

img {
  -webkit-user-drag: none;
  -khtml-user-drag: none;
  -moz-user-drag: none;
  -o-user-drag: none;
  user-drag: none;
}


.nozoom {
     -ms-text-size-adjust:none;
    -webkit-text-size-adjust: none;
    touch-action: none;
}
.yeszoom {
     -ms-text-size-adjust:auto;
    -webkit-text-size-adjust: auto;
	touch-action: auto;
}

.noselect {
	/*https://stackoverflow.com/questions/826782/how-to-disable-text-selection-highlighting*/
  -webkit-touch-callout: none; /* iOS Safari */
    -webkit-user-select: none; /* Safari */
     -khtml-user-select: none; /* Konqueror HTML */
       -moz-user-select: none; /* Old versions of Firefox */
        -ms-user-select: none; /* Internet Explorer/Edge */
            user-select: none; /* Non-prefixed version, currently
                                  supported by Chrome, Edge, Opera and Firefox */
}
.yesselect {
	/*https://stackoverflow.com/questions/826782/how-to-disable-text-selection-highlighting*/
  -webkit-touch-callout: text; /* iOS Safari */
    -webkit-user-select: text; /* Safari */
     -khtml-user-select: text; /* Konqueror HTML */
       -moz-user-select: text; /* Old versions of Firefox */
        -ms-user-select: text; /* Internet Explorer/Edge */
            user-select: text; /* Non-prefixed version, currently
                                  supported by Chrome, Edge, Opera and Firefox */
}

/*	- - - - - - - - - - - - - - 	General View Settings. Layout division	*/
.navigator {
	height:100vh;
	height: calc(var(--vh, 1vh) * 100);
	width: 100vw;
	width: calc(var(--vw, 1vw) * 100);
	background-color: black;
	display: -webkit-box;
	display: -ms-flexbox;
	display: flex;
	flex-direction: column;
}
.top-container {
	background-color: white;
	height:0;
	z-index: -1;
}
.main-container {
	background-color: blue;
	display: -webkit-box;
	display: -ms-flexbox;
	display: flex;
	flex-direction: row;
}

.viewer-container {
	background-color: white;
	/*background-image: url("https://app.raumgleiter.com/4395_claraturm/public/2k_Navigator_RAW__0.jpg");*/
	background-repeat: no-repeat;
	background-position: center;
	/*background-size: 159% 101%;*/
	background-size: 146.5vh 97.5vh;
	overflow: hidden;
}

.menu-container {
	background-color: #483729;
	z-index: 20;
}

/*	- - - - - - - - - - - - - - 	General View Settings. Menu	*/
.menu-data {
	background-color: #ff6d60;
	display: -webkit-box;
	display: -ms-flexbox;
	display: flex;
	flex-direction: column;
	-moz-column-count: 1 !important;
	-ms-column-count: 1 !important;
    -webkit-column-count: 1 !important;
	column-count: 1 !important;

	width:100%;
	margin: 0 !important;
	padding: 0.4rem;
}
.menu-header {
	background-color: #fff;
	margin:0;
	padding: 0.5rem;
	/*padding: 10;*/
	padding-bottom:0.5rem;
	display: -webkit-box;
	display: -ms-flexbox;
	display: flex;
	flex-direction: column;
	justify-content: flex-start;
	box-shadow: 0 1px 1px #ddd;
	z-index: 40;	
}
.menu-logo {
	background-color: none;
	width:280px;
}
.menu-logo-mobile {
	display: none;
}
#logoLink:focus { 
	outline: none;
}
#logoLink img:focus { 
	outline: none;
}
.dropdown-content {
	position:fixed;
	left:0;
	top:3.5rem;

	opacity:0.95;
	margin:0.5rem;

	background-color: #fff !important;
	background-clip: border-box !important;
	border: 1px solid #bbb !important;
	border-radius: 0.25rem !important;

	padding:1rem;

	height:auto;
	max-height:85vh;
	overflow-y: auto !important;

	z-index:50;
}
.dropdown-actions {
	/*margin-top:1rem;*/
}
.dropdown-action h1 {
	font-size: 0.9rem !important;
	margin:auto !important;
	text-align: right;
}
.dropdown-results {
	background-color: #ff6d60 !important;
}
.dropdown-results h1 {
	/*font-size: 0.9rem !important;*/ /*now set under dropdown-actions*/
	/*font-weight: bold !important;*/
	color:white !important;
}
.dropdown-results:hover h1{
	color: #483729 !important;
}
.filter-description {
	display: -webkit-box;
	display: -ms-flexbox;
	display: flex;
	flex-direction: row;
	justify-content: space-between;
}
.filter-minmax {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  color: #ccc;
  font-size: 0.8rem;
  line-height: 1rem;
}
.filter-container {
	padding:1rem;
	margin-right: 1rem;
	border-bottom: 1px solid #dee2e6;
	font-size: 0.8rem;
  	color: #666;
}
.filter-check-container {
	text-align: left;
	font-size: 0.8rem;
  	color: #666;
  	padding-left:0 !important;
}
.filter-check-container label {
	padding-left: 0.5rem;
	margin-bottom: 0;
}
.filter-check-container input {
	width: 1rem;
	height: 1rem;
	vertical-align: sub;
	border-radius: 1rem;
	border: 2px solid #ff6d60;
}
.sort-container {
	padding:0;
	border-bottom: 1px solid #dee2e6;
}
.sort-containers>:last-of-type {
    border: 0;
}
.filter-containers>:last-of-type {
    border: 0;
}
/*.sort-container:hover {
	background-color: #ddd;
}*/
.sort-button {
	display: -webkit-box;
	display: -ms-flexbox;
	display: flex;
	flex-direction: row;
	justify-content: space-between;

	padding:1rem;
	background-color: white;
	text-align: left;
	width:100%;
	color: #666;
	font-size: 0.85rem;
	border:0;
}
.sort-button:hover {
	background-color: #eee;
	outline: none;
}
.sort-button:focus {
	background-color: #ddd;
}
.sort-button-selected {
	background-color: #d9d9d9;
}
.menu-check-container {
	padding: 0.5rem;
}
.menu-check-container label {
	padding-left: 0.5rem;
	margin-bottom: 0;
	/*font-size: 0.8rem;
	line-height: 1rem;*/
	color: #666;
}
.menu-check-container input {
	width: 1rem;
	height: 1rem;
	vertical-align: sub;
}
/*.menu-check-container input:checked {
	background-color: #ff6D60;
}*/

.btn-row {
	display: -webkit-box;
	display: -ms-flexbox;
	display: flex;
	flex-direction: row;
	justify-content: space-around;	
}
.btn-row>:last-of-type {
    margin-right: 0;
}
.btn-row-element {
	text-align: center;
	color: white;
	font-family: sans-serif;
	/*font-size: 1rem;*/
	/*margin-right: 10px;*/
	width:100%;
}

/*	- - - - - - - - - - - - - - 	General View Settings. Card Template	*/

.card {

}
.card:hover {
	background-color: #f9f9f9; /*F7F2EB is lighter version of BW beige e5e1d9*/
	cursor: pointer;
}
.card:active {
	background-color: #efefef;
	/*background-color: #aa0;*/
}
.menu-card {
	/*display: inline-block;
	flex: 0 0 auto;*/
	padding: 0.5rem 1rem ;
	margin-bottom:0.4rem !important;
	/*padding-left:0.8rem !important;*/
}
.menu-card-selected {
	background-color: #efefef; /*#e5e1d9 F7F2EB is lighter version of BW beige e5e1d9*/
}
.menu-card-selected h1,
.menu-card-selected h2 {
	font-weight: 600 !important;
}
.menu-card-selected h3,
.menu-card-selected p {
	font-weight: 600 !important;
	color: #483729 !important;
}

.menu-card h1 {
	margin: 0.5rem 0 !important;
	padding: 0;

	color: #483729;
	font-size: 0.95rem;
	line-height: 1.1rem;
	font-weight: 500;
}
.menu-card h2 {
	margin: 0.5rem 0 !important;
	padding: 0;

	color: #483729;
	font-size: 0.95rem;
	line-height: 1.1rem;
	font-weight: 500;

}
.menu-card h3 {
	margin-bottom: 0.5rem !important;
	padding: 0;

	color: #FF6D60;
	font-size: 0.859rem;
	line-height: 0.5rem;
	font-weight: 500;

}
.card-row {
	display: -webkit-box;
	display: -ms-flexbox;
	display: flex;
	flex-direction: row;
}
.card-row>:last-of-type {
    padding-right: 0;
}
.card-row-element {
	position:relative;
	margin:0;
	width:100%;
	padding-right:0.7rem;
	padding:0;
	display: -webkit-box;
	display: -ms-flexbox;
	display: flex;
	flex-direction: column;
	justify-content: space-between;
	padding-bottom: 0.3rem;
}
.card-info-row {
}
.card-info-list {
	list-style-type: none;
	padding-left: 0;
	margin:0;
	margin-top:0.2rem;
	display: -webkit-box;
	display: -ms-flexbox;
	display: flex;
	flex-direction: row;
}
.card-info-element {
	padding-right:1rem;
}
.card-info-value {
	color: #483729;
	text-align: center;
	font-weight: bold;
	font-size: 0.75rem;
	line-height: 1.75rem;
}
.card-info-description {
	color:#ff6d60;
	margin:0;
	font-size: 0.75rem;
	line-height: 0.8rem;
}

/*	- - - - - - - - - - - - - - 	General View Settings. Details Template	*/
.modal-container {
	z-index: 500;
	overflow-y: hidden !important;
}
.modal {
  /*display: none;
  position: fixed;
  z-index: 500;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: auto;*/
  /*background-color: rgb(255,255,255);
  background-color: rgba(0,0,255,0.2);*/
}
.modal-backdrop
{
    z-index: 400;
    opacity:0.2 !important;
}
.modal-dialog {
	margin:0 !important;
	padding: 0.5rem;
	top:0;
	left:0;

	/*align-items: flex-start ;
	justify-content: start;*/

    max-height:90vh;

}
.modal-content {
	background-color: #fff !important;
	background-clip: border-box !important;
	border: 1px solid #bbb !important;
	border-radius: 0.25rem !important;

	max-height:90vh;
	max-height:calc(100vh - 4rem);
	overflow-y: auto !important;
	/*background-color: #fefefe;
	margin: 0 !important;
	padding: 20px;
	border: 1px solid #888;
	width: 100%;*/
}
.modal-foot-text {
	padding: 0.5rem 1rem;
	color:#666;
	font-size: 0.75rem;
}
.modal-foot-text th{
	text-align:center !important;
}
.modal-foot-text td{
	text-align:left !important;
	padding-left: 0.75rem !important;
}

#menu-details {

}
.modal-head {
	padding:1rem;
}
.modal-foot {
	padding:1rem;
}
.modal-main {
	padding: 0 1rem;
	/*border-top: 1px solid #dee2e6;
	border-bottom: 1px solid #dee2e6;*/
}
.modal-header-top {
	display: -webkit-box;
	display: -ms-flexbox;
	display: flex;
	align-items: flex-end ;
	/*width:100%;*/
	margin-left:auto;
	margin-right: 0;
	height: 1.5rem;
}
.modal-header-info {
	/*align-items: flex-end ;*/
	width:100%;
	margin-bottom: 0.5rem;
}
.modal-button-action{
	width:100%;
}
.modal-header-col {
	padding:0 10px !important;
	margin:0 !important;
	max-width:100% !important;
}
.modal-header-info h1 {
	color: #777 ;
	font-size: 1rem;
	margin-top:0.25rem;
	font-weight: bold;
}
.modal-header-info h2 {
	color: #FF6D60;
	font-size: 1rem;
	line-height: 1rem;
	margin:0;
	font-weight: bold;
	/*margin-top:1rem;*/

	text-transform: capitalize;
}
.modal-status {
	color: #FF6D60;
	font-size: 0.75rem;
	line-height: 1rem;
	margin:0;
	/*margin-top:1rem;*/
	text-align: right;
	text-transform: uppercase;
	/*text-transform: capitalize;*/
}
.modal-header-info p,
.modal-header-info a {
	font-size: 0.75rem;
	line-height: 0.75rem;
	margin:0;
	color: #999;
}

.modal-body img {
	width: 100%;
	border-radius: 0.25rem !important;
}
.modal-body-info {
	padding:0.5rem 1rem;
	color: #777;
}
.table th, .table td {
    padding: 0.1rem;
    vertical-align: top;
    border: none;
    color:#666;
}
.table td {
    text-align: right;
}
.move-in-highlight th,
.move-in-highlight td {
	color: #ff6d60 !important;
	font-weight: bold; 
}
.modal-body-info h1 {
	font-size: 1rem;
	margin-top:0.25rem;
}
.modal-body-info h2 {
	font-size: 1rem;
	margin-top:0.25rem;
}
.modal-body-info p {
	font-size: 0.75rem;
	line-height: 1.25rem;
	margin:0;
}
.modal-img {
	width: 100%;
	margin-bottom:0.5rem;
}
.modal-button-icon{
	/*margin:0 5px;*/
	height:1.3rem;
	width:1.3rem;
	vertical-align: sub;
	margin-right:0.2rem;
	padding-top: 0.16rem;
}

/*	- - - - - - - - - - - - - - 	General View Settings. Close buttons	*/

.close-button {
  position: absolute;
  right: 1rem;
  top: 0.75rem;
  width: 1.5rem;
  height: 1.5rem;
  opacity: 1;
}
.close-button:hover {
  opacity: 0.5;
}
.close-button:before, .close-button:after {
  position: absolute;
  left: 15px;
  content: ' ';
  height: 1.5rem;
  width: 2px;
  background-color: #483729;
}
.close-button:before {
  transform: rotate(45deg);
}
.close-button:after {
  transform: rotate(-45deg);
}
.featherlight-close a {
  right: 0;
  top: 0;
}

/*	- - - - - - - - - - - - - - 	General View Settings. Modal buttons	*/

.modal-close {
	top:0;
	right: 0;
	border:none  !important;
	/*outline: none !important;*/

	margin-left:auto;
	margin-right: 0;
	opacity:0.9;
	color: #483729;
}
.btn-action {
	margin:0  !important;
	margin-top:0.5rem  !important;
	padding:8px;
	/*padding-top:12px;*/
	background-color: #fff;
	border: 1px solid rgba(0, 0, 0, 0.125) !important;
	/*border-radius: 0.25rem;*/
	border-radius: 4px;
	/*height:3rem;*/
	width: 100%;
	align-items: flex-start ;
	justify-content: start;
	flex-wrap:nowrap;
    max-height: 100%;  
    max-width: 100%;

    font-size: 0.8rem;
	text-transform: uppercase;
}
.btn-action:focus {
	/*outline: none !important;
	border: none !important;*/
  	box-shadow: none !important;
	/*background-color: #ddd;
	box-shadow: 0 0 2px #b1b3b3;*/
}
.btn-action:hover {
	outline: none;
}
.btn-card {
	padding: 2px;
}
.btn-free, .btn-frei{
	background-color: #ff6d60;
	box-shadow: 0 0 5px #ddd;
}
.btn-free a, .btn-frei a{
	display: block;
	width: 100%;
	height: 100%;
	/*font-weight: bold;*/
	font-weight: 500;
	color: #fff;
}
.btn-free:hover a, .btn-frei:hover a {
	color: #483729;
	text-decoration: none;
}
.btn-free:active a, .btn-frei:active a {
	/*background-color: #00f;
	color: #606;
	text-decoration: none;*/
}
/*.btn-free:hover, .btn-frei:hover {
	background-color: #5d6;
	color: #666;
}*/
.btn-reserved, .btn-reserviert {
	cursor: default !important;
	color: #aaa;
	font-weight: 500;
	/*background-color: #ff0  !important;*/
}
.btn-vermietet, .btn-rented  {
	cursor: default !important;
	font-weight: 500;
	color: #aaa;
}
.btn-reserved:hover, .btn-reserviert:hover,
.btn-rented:hover, .btn-vermietet:hover {
	outline: none;
	color: #aaa !important;
	background-color: #fff;
	font-weight: 500;
}
.gewerbe-action-reserviert, .gewerbe-action-reserved,
.gewerbe-action-vermietet, .gewerbe-action-rented {
	display:none;
}


.btn-modal {
	background-color: #fff;
	border: 1px solid rgba(0, 0, 0, 0.125) !important;
	border-radius: 3px;
	width:100%;
	/*font-weight: 400 !important;*/

	/*display: -webkit-box;
	display: -ms-flexbox;
	display: flex;
	flex-direction: row;
	justify-content: space-around;*/

	color: #777;
	font-family: Roboto, -apple-system, BlinkMacSystemFont, "Helvetica Neue", Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol" !important;
	font-weight: 500;
	font-size: 0.9rem;
}

.btn-modal:hover {
	color: #483729;
	background-color: #f3f3f3;
}
.btn-modal:focus {
  	box-shadow: none !important;
}
.btn-modal a {
	color: #777;
	font-family: Roboto, -apple-system, BlinkMacSystemFont, "Helvetica Neue", Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol" !important;
	font-weight: 500;
	font-size: 0.9rem;
}
.btn-modal:hover a {
	color: #483729;
	text-decoration: none;
}
.btn-small {
	border-radius: 1.5rem;
	padding: 0;
	height: 2rem;
	width: 2rem;
	background-color: #ff6d60;
}
.btn-small:hover {
	background-color: #ff6d60;
	border-color: #b1b3b3;
	box-shadow: 0 0 4px #b1b3b3; 
}
.btn-small img {
	height: 1rem;
	width: 1rem;
	margin: 0;
	padding: 0;
	/*transform: translateY(-1px);*/
}
.pano-half {
	display:inline;
}
.pano-half-Gewerbe {
	display: none;
}

/*	- - - - - - - - - - - - - - 	General View Settings. Menu nav buttons	*/

.menu-nav-button h1 {
	margin: auto;
	margin-left: 0.5rem;

	color: #777;
	font-family: Roboto, -apple-system, BlinkMacSystemFont, "Helvetica Neue", Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol" !important;
	font-weight: 500;
	font-size: 0.9rem;
	line-height: 1rem;
	
	vertical-align: bottom;
}
.menu-nav-button {
	display: -webkit-box;
	display: -ms-flexbox;
	display: flex;

	margin:0 !important;
	padding:0.5rem;
	/*padding-top:12px;*/
	background-color: #fff;
	border: 1px solid rgba(0, 0, 0, 0.125);
	/*border-radius: 0.25rem;*/
	border-radius: 6px;
	/*height:3rem; wasnt used / was overwritten*/
	width: 100%;
	align-items: flex-start ;
	justify-content: start;
	flex-wrap:nowrap;
    max-height: 100%;  
    max-width: 100%;
}


.menu-nav-button:hover {
	outline: none;
	background-color: #f3f3f3; /*F7F2EB is lighter version of BW beige e5e1d9*/
	box-shadow: 0 0 1px #aaa;
}
.menu-nav-button:hover h1 {
	color: #483729;
}
.menu-nav-button:focus {
}
.menu-nav-button:active {
	background-color: #e9e9e9; /*#e5e1d9; was ddd*/
	box-shadow: 0 0 2px #b1b3b3; 
}
.menu-nav-button-icon{
	margin:0 5px;
	height:1.2rem;
	width:1.2rem;
	/*width:100%;*/
}







/*	- - - - - - - - - - - - - - 	General View Settings. Viewer elements	- - - - - - -	*/

.viewer-overlay {
	position:relative;
	height:100%;
	display: -webkit-box;
	display: -ms-flexbox;
	display: flex;
	flex-direction: column;
	/*padding: 20px;*/
}

.viewer-toggle {
	display: -webkit-box;
	display: -ms-flexbox;
	display: flex;
	flex-direction: row; 

	z-index: 100;
	position: absolute;
	top:1rem;
	left:2rem;

	/*padding:1.2rem;*/
	align-items: center;
	justify-content: flex-end;

    max-height: 100%;  
    max-width: 100%;
	/*background-color: #fff;
	background-color: rgba(255, 255, 255, 0.5);
	border-radius: 0.25rem;
	border: 1px solid rgba(0, 0, 0, 0.125);
	box-shadow: 0 0 1px #b1b3b3;*/	
}
/*.viewer-toggle:hover {
	background-color: rgba(255, 255, 255, 0.9); 	
}*/
.viewer-toggle p {
	margin: 0;
	margin-top: 0.75rem;
	margin-bottom: -0.25rem;
	color: #aaa;
	font-size: 0.7rem;
	text-align: justify;
	/*line-height: 1rem;*/
	display: -webkit-box;
	display: -ms-flexbox;
	display: flex;
	flex-direction: row;
	justify-content: space-between;
}
#toggleVisibilitySlider {
  width: 3rem;
}
.viewer-toggle label{
  margin-bottom: -2px;
  margin-left: 1.2rem;
  /*margin-top: 0.58rem;*/

  font-weight: 500;
}

.viewer-rg {
	z-index: 100;
	position: absolute;
	bottom:1rem;
	left:1.2rem;
}
.rg-img {
	/*height:6rem;*/
	height:1.8rem;
	float: left;
}
.viewer-disclaimer {
	z-index: 50;
	width: 100%;
	position: absolute;
	bottom:0;
	text-align: center;
	color: white;
	font-size: 0.7rem;
	line-height: 0.9rem;
}
.viewer-disclaimer p{
	max-width: 60%;
	margin: 0 auto 1rem auto;

    background-color: rgba(0,0,0,0.5);
    border-radius: 0.1rem;
    width: fit-content;
    padding: 0.1rem 0.5rem;
}
.viewer-disclaimer a{
	font-weight: bold;
	color: white;
}
.viewer-compass {
	z-index: 10;
	position: absolute;
	bottom:0;
	right:1rem;

}
.compass-img {
	height:6rem;
	width:6rem;
	float: right;
}
.viewer-nav {
	flex:2;
	margin: auto 0 !important;

	background-color: none;
	text-align: right;
	height:3rem;
	width:100%;
	align-items: center;
	justify-content: space-between;
	text-align: right;
	padding:0 20px;
	z-index: 40;
}
.viewer-button-icon{
	height:100%;
	/*width:100%;*/
}
.viewer-button {
	background-color: #fff;
	background-color: rgba(255, 255, 255, 0.9);
	border-radius: 10px;
	padding:0.8rem;
	height:3rem;
	width:3rem;
	align-items: center;
	justify-content: flex-end;
	border: 1px solid rgba(0, 0, 0, 0.125);
	box-shadow: 0 0 1px #b1b3b3;
    max-height: 100%;  
    max-width: 100%;
}
.viewer-button:hover {
	padding:11px;
	box-shadow: 0 0 2px #b1b3b3;
}
.viewer-button:focus {
	outline: none;
}
.viewer-button img{
	vertical-align: inherit;
}

.not-available {
	display: none;
	position: fixed;
	top:4rem;

	display: -webkit-box;
	display: -ms-flexbox;
	display: flex;
    left:45%;
    left: calc( ( 100vw - 300px ) / 2 );

	z-index: 2000;
}
.not-available-logo {
	width:350px;
}
.not-available p {

	padding:2rem;
	background-color: #ff6d60;
	border: 0 solid rgba(0, 0, 0, 0.125) !important;
	box-shadow: 0 1px 5px #ddd;
	border-radius: 8px;
	text-align: center;
	z-index: 2000;

	text-align: center;
	padding:2rem;
	margin:0 auto;
	margin-top:2rem;
	font-size: 1rem;
	color:#fff;
}
/*.phase-info {
	position: fixed !important;
	display: none;
	position:relative;
}
.phase-info p {
	margin-top:0;
}*/

@media (hover: none) {
  .viewer-button:hover { padding:12px; }
}


/*	- - - - - - - - - - - - - - 	Desktop	View Settings	- - - - - - - - 	*/

@media (min-width: 992px) {

	canvas {
		position: fixed;
		top:0;
	}

	.main-container {
		height:100vh;
	}

	.viewer-container {
		flex-grow : 1;
	}

	.menu-container {
		display: -webkit-box;
		display: -ms-flexbox;
		display: flex;
		flex-flow: column;
		/*height: 100%;*/
		width:380px;
	}
	/*.phase-info {
		width:300px;
		left: calc( ( ( 100vw - 380px ) - 300px ) / 2 + 380px);
	}*/
	.dropdown-content {
		width:360px;
		width: calc(380px - 1rem);
	}
	.menu-data {
		/*flex: 1 1 auto;*/
		overflow-x: hidden;
		flex:1 !important;
		/*overflow-y: scroll !important;*/
		overflow-y: auto !important;
	}

	.modal-dialog {
		width:380px !important;
	} 
}

/*	- - - - - - - - - - - - - - 	Mobile & Tablet	View Settings	- - - - - - - - 	*/

@media (max-width: 992px) {
	/*.top-container {
		position: relative;
		height: 4rem !important;
	}*/
	canvas {
		position: fixed;
		top:0;
	}
	#onlyAvailable {
		display:none;
	}


	.main-container {
		flex-flow: column-reverse;
		height: 100%;
	}

	.viewer-container {
 		flex-grow : 1;
 		background-size: 123.5vh 82vh;
		/*background-size: 202% 101%;*/
 		/*background-size: 156vh 97.5vh;*/
		background-color: #ff6D60;
	}
	.viewer-overlay {
		height:100%;
		top:0;
		/*position:fixed;*/
		width: 100%;
		margin: auto;
	}
	.viewer-toggle {
		top: 0.8rem; /*0.5rem;*/
		left: 1.2rem; /*1rem;*/
	}
	.menu-container {
        /*padding: 0.3rem;*/
		display: -webkit-box;
		display: -ms-flexbox;
		display: flex;
		flex-direction: column-reverse;
	}
	.menu-logo { 
		display:none;
	}
	/*.phase-info {
		width:300px;
		top:1rem;
	}*/
	.dropdown-content, .modal-content {
		width:48%;
		width: calc(50vw - 0.5rem);
		/*min-width:360px;*/
	}

	.menu-header {
	/*.menu-nav {*/
		/*padding: 0.3rem;*/
		/*background-color: rgba(255,255,255,0.5);*/
		/*position: fixed;*/
    
		left:0;
		width: 100vw;
		min-height: 3.2rem;
		bottom:0;
		background-color: none;
		box-shadow: none;
	}

	.menu-data {
		display: -webkit-box;
		display: -ms-flexbox;
		display: flex;
		flex-direction: row;
		flex-grow: 320;
		flex-wrap: nowrap;
	    -ms-column-count: 320 !important;
	    -webkit-column-count: 320 !important;
    	-moz-column-count: 320 !important;
	    column-count: 320 !important;
		/*width:100%;*/
		/*height:100%;*/
		min-height: 7.75rem;
		/*margin: 0 !important;*/
		overflow-x: scroll;
		overflow-y: hidden;

  		white-space: nowrap;
	    orphans: 1;
	    widows: 1;
	    /*margin-left:0.4rem !important;*/
	    padding:0.5rem;

	    -ms-column-gap: 0.25rem;
	    -webkit-column-gap: 0.25rem;
	    -moz-column-gap: 0.25rem;
	    column-gap: 0.25rem;
	}
	.menu-card {
		/*position: relative;*/
		max-width: 300px;
		display: -webkit-box;
		display: -ms-flexbox;
		display: flex;
		flex: 0 0 auto;
		padding: 0.3rem 0.6rem;
		margin:0 !important;
		margin-right:0.25rem !important;

		/*margin-left:0 !important;*/
		/*width:250px !important;
		padding:0.2rem;
		padding-left:0.8rem !important;*/
	}
	.menu-card h1 {
		font-size: 0.9rem;
	}
	.menu-card h2 {
		font-size: 0.9rem;
	}
	.modal-dialog {
		width:100% !important;
		position: absolute;
		top:auto;
		bottom: 4rem;
	}
	.modal-dialog-right {
		left:auto;
		right:0;
	}
	.modal-content-right {
		margin-left:auto;
		margin-right:0;
	}
	.modal-dialog-center {
		max-width:100vw;
		position: initial;
		left:auto;
		right:auto;
		top:auto;
		bottom: auto;
	}
	.modal-content-center {
		margin:auto;
	}
	
	#sortDropdown {
		left:auto;
		right:0;
	}

	.modal-close {
		margin-left:auto;
		margin-right: auto;
		/*font-size: 2rem;*/
	}
	.close-button {
		position: relative;
		right: 1.25rem;
		top: 0;
	}	
	.modal-header-top {
		align-items: flex-start ;
	}
	.btn-row-element {
		/*margin-bottom: 0.4rem;*/
	}
	.sort-arrow {
		margin-left:auto;
	}
	.viewer-compass {
		bottom:-1rem;
	}
}

/*	- - - - - - - - - - - - - - 	Mobile Narrow	View Settings	- - - - - - - - 	*/

@media (min-width: 576px) {
}

@media (max-width: 576px) {
	html {
		font-size: 85%;
	}
	.card {
		min-width: 220px;
	}
	.dropdown-content, .modal-content {
		width:98%;
		width: calc(100vw - 1rem);
		min-width:200px;
	}
	.menu-nav-button {
		height:auto;
	}
	.dropdown-action h1 {
		text-align:center;

	}
	.viewer-container {
		background-size: 112.75vh 75vh;
		/*background-size: 202% 101%;*/
		/*background-image: none;*/
	}


	.modal-dialog {
		max-width:100% !important;
	}
	.filter-containers {

	}
	.filter-containers>:first-of-type {
		padding-top:0.75rem;
	}
	.filter-containers>:last-of-type {
	    padding-bottom: 0;
	}
	.filter-container {
		padding:0.75rem;
		padding-bottom:0.5rem;
		padding-top:0;
		border:0;
		font-size: 0.9rem;
	}
	.sort-container {
		font-size: 1rem;
	}
	.filter-check-container {
		font-size: 1rem;
	}
	.modal-header-info p,
	.modal-header-info a {
		font-size: 0.9rem;
	}
	.share-row {
		flex-direction: row;
		row-gap: 0.5rem;
		
	}
	.share-field {
		height: 2rem;
		padding: 0 0.25rem;
	}
	.share-field input {
		width:100%;
	}
	.share-confirmation {
		top:20% !important;
	}
	.external-info-row {
		flex-direction: column;
		row-gap: 0.5rem;
	}
	.external-info-row>:last-of-type {
		margin:0 !important;
	}
	.filter-preloader-wrapper {
		left:45% !important;
		left: calc(50vw - 32px) !important; /* .preloader-wrapper.big is 64px */
	}
	.btn-row>:last-of-type {
	    margin-bottom: 0;
	}
	.viewer-compass {
		bottom:-1.2rem;
	}
	.viewer-rg {
		bottom:1rem;
		left:0.9rem;
	}
	.viewer-nav {
		padding:0 0.5rem;
	}
	.viewer-button {
		width: 2.5rem;
		height: 2.5rem;
		padding: 0.5rem;
	}
	.viewer-button:hover {
		padding: 0.5rem;
	}
	.menu-nav-button-icon {
		height: 1.5rem;
	}
	.menu-nav-button h1 {
		font-size: 1rem;
	}
}

/*	- - - - - - - - - - - - - - 	16/9 	- - - - - - - - 	*/
@media (min-aspect-ratio: 9/17) {
  .menu-data {
    /*background-color: #0f0 ; */
  }
}
/*	- - - - - - - - - - - - - - 	19/9 	- - - - - - - - 	*/
@media (max-aspect-ratio: 9/17) {
  .menu-data {
    /*background-color: #0ff; */
    min-height: 9rem;
  }
  /*.btn-row {
  	flex-direction: column;
  	flex-direction: row;
  }
  .share-row{
  	flex-direction: row;
  }*/
  .btn-row-element {
  	margin-bottom: 0.4rem;
  }
  .menu-logo-mobile {
  	background-color: #483729;
  	height: 100px;
  	display: block;
  }
  .menu-logo-mobile img{
	/*width:280px;*/
	height:100px;
	max-width: 100vw;
  }
  #viewer canvas {
  	top: 100px;
  }

  .menu-header {
	flex-direction: column-reverse;	
  }
  #onlyAvailable {
	display:block;
  }
  .menu-nav-button-icon {
  	height: 1.5rem;
  }
  .menu-nav-button h1 {
  	font-size: 1rem;
  }
  .menu-check-container label {
  	font-size: 1rem;
  	font-weight: 500;
  }
  .menu-check-container {
  	padding-top: 0.25rem;
  	padding-left: 1.35rem;
  }
  /*.card-row {
  	flex-direction: column;
  }*/
}

/*	- - - - - - - - - - - - - - 	SHARE BUTTON AND CONFIRMATION	- - - - - - - - 	*/
.share-row{
	margin-top: 0.35rem;
	justify-content: space-between;
}
.share-row .btn-row-element {
	width: auto;
	margin: 0;
}
.share-field {
	position: absolute;
	left:-3000px;
	font-size:inherit;
	/*line-height: inherit;*/

}
.share-field input {
	height:100%;
	border: 1px solid rgba(0, 0, 0, 0.125) !important;
}

.share-confirmation {
	display: none;
	position: fixed;
	top:35%;
	/*left:50%;*/

    display: flex;
    left:45%;
    left: calc( ( 100vw - 300px ) / 2 );

	width:300px;
	height:0;
	background-color: #ff6d60;
	font-weight: bold;
	border: 0 solid rgba(0, 0, 0, 0.125) !important;
	box-shadow: 0 1px 5px #ddd;
	border-radius: 8px;
	text-align: center;
	z-index: 2000;
}
.share-confirmation p {
	/*opacity:0.7;*/ /*comes from jquery fadein instead*/
	text-align: center;
	padding:2rem;
	margin:0 auto;
	font-size: 1rem;
	color:#fff;
}

/*	- - - - - - - - - - - - - - 	CHECKBOXES	- - - - - - - - 	*/

/*https://getbootstrap.com/docs/4.0/components/forms/#checkboxes-and-radios-1*/
.custom-control {
	
}
.custom-control-input-coral {
	position:inherit;
	padding-left:0 !important;
}
.custom-control-input-coral:focus~.custom-control-label::before {
  border-color: #dd6d60 !important;
  box-shadow: 0 0 0 2px rgba(255, 1.9, 96, 0.25) !important;
}

.custom-control-input-coral:checked~.custom-control-label::before {
  border-color: #dd6d60 !important;
  background-color: #dd6d60 !important;
}

.custom-control-input-coral:focus:not(:checked)~.custom-control-label::before {
  border-color: #ee6d60 !important;
}

.custom-control-input-coral:not(:disabled):active~.custom-control-label::before {
  background-color: #ff6d60 !important;
  border-color: #ff6d60 !important;
}

/*	- - - - - - - - - - - - - - 	Favourites	- - - - - - - - 	*/

.card-star {
	margin-right: 0;
	margin-left: auto;
	/*background: url(https://app.raumgleiter.com/4395_claraturm/public/icons/star-regular.svg) left top no-repeat;*/
	content: url("https://app.raumgleiter.com/4395_claraturm/public/icons/star-regular.svg");
	transform: translateY(-0.5rem);

	height:1.3rem;
	width:1.3rem;
	vertical-align: sub;
	margin: 0;
	/*padding-top: 0.16rem;*/
}
.card-star:hover {
	transform: scale(1.1) translateY(-35%);
}
.details-star-row {
	display: -webkit-box;
	display: -ms-flexbox;
	display: flex;
	justify-content: space-between;
}
.details-star {
	margin-right: 0;
	margin-left: auto;
	content: url("https://app.raumgleiter.com/4395_claraturm/public/icons/star-regular.svg");
	transform: translateY(-4px);

	height:1.3rem;
	width:1.3rem;
	vertical-align: sub;
	margin-right:0.2rem;
	/*padding-top: 0.16rem;*/
}
.details-star:hover {
	/*transform: scale3d(1.1, 1.1, 1.1);*/
	transform: scale(1.1) translateY(-18%);
}
.filter-star {
	width: 1.3rem;
	height: 1.3rem;
	margin-right: 0.5rem !important;
	content: url("https://app.raumgleiter.com/4395_claraturm/public/icons/star-regular_red_empty.svg");
	transform: translateY(-2px);
}
.filter-star:hover {
	transform: scale(1.1) translateY(-8%);
}
#favoritesToggle {
	cursor: pointer;
}
#favoritesEmpty {
	cursor: pointer;
	color: #999;
}
#favoritesEmpty:hover {
	text-decoration: underline;
}
.chosen-star {
	content: url("https://app.raumgleiter.com/4395_claraturm/public/icons/star-regular_red.svg");
}

/*	- - - - - - - - - - - - - - 	General Helpers	- - - - - - - - 	*/

.text-right {
	display: block;
	text-align: right !important;
}
.text-center {
	display: block;
	text-align: center !important;
}
.disable-dbl-tap-zoom {
  touch-action: manipulation;
}